Skip to main content
GET
Get a KYC profile

Path Parameters

kyc_profile_id
string<uuid>
required

The unique identifier of the KYC profile.

Response

The request has succeeded.

id
string<uuid>
required

Unique KYC profile identifier.

email
string
required

Email address of the person being onboarded.

status
enum<string>
required

Current KYC profile status.

Available options:
pending,
approved,
blocked,
rejected,
requires_action,
resubmission_requested
details
object | null
required

Verified profile details; null until they are available.

external_reference
string

Client-provided external reference.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$